Be aware FF ver 55.0 released

Released FF version 55.
This last version disables legacy extensions.
Uncheck "Automatically install updates" if you don't wish to find all 
your extensions disabled.
0
Luis
8/8/2017 3:38:53 PM
mozilla.support.firefox 23876 articles. 6 followers. Post Follow

14 Replies
98 Views

Similar Articles

[PageSpeed] 42

On 08-Aug-2017 11:38, Luis wrote:
> Released FF version 55.
> This last version disables legacy extensions.
> Uncheck "Automatically install updates" if you don't wish to find all 
> your extensions disabled.

What are you talking about? I have 7 extensions marked Legacy and all 
working fine.
0
Endegee
8/8/2017 4:14:59 PM
On 8/8/2017 11:38 AM, Luis wrote:
> Released FF version 55.
> This last version disables legacy extensions.
> Uncheck "Automatically install updates" if you don't wish to find all 
> your extensions disabled.


Say what? I have several Legacy extensions still working in Nightly 57.0.

0
WaltS48
8/8/2017 4:20:57 PM
On 8/8/2017 12:14 PM, Endegee wrote:
> On 08-Aug-2017 11:38, Luis wrote:
>> Released FF version 55.
>> This last version disables legacy extensions.
>> Uncheck "Automatically install updates" if you don't wish to find all 
>> your extensions disabled.
> 
> What are you talking about? I have 7 extensions marked Legacy and all 
> working fine.
Everyone of the extensions that I use is marked Legacy in Version 55. 
When will these be prevented from running in Firefox?

These extension are simple extensions like Quicknote and Clippings.  I 
am sure these are REALLY interfering with the operation of Firefox. ;)

I am slowly replacing Quicknote with Corel's Lightning, but it is not as 
convenient Quicknote.

Clippings is used with nearly every email I send, as there are strings 
for my email address, telephone number, ie many things you use in your 
correspondence.

Does any one know of extensions that would replace Quicknote and 
Especially Clippings?
0
Keith
8/8/2017 5:23:08 PM
On 8/8/17 1:23 PM, Keith Nuttle wrote:
> On 8/8/2017 12:14 PM, Endegee wrote:
>> On 08-Aug-2017 11:38, Luis wrote:
>>> Released FF version 55.
>>> This last version disables legacy extensions.
>>> Uncheck "Automatically install updates" if you don't wish to find all 
>>> your extensions disabled.
>>
>> What are you talking about? I have 7 extensions marked Legacy and all 
>> working fine.
> Everyone of the extensions that I use is marked Legacy in Version 55. 
> When will these be prevented from running in Firefox?

Firefox 57.

> 
> These extension are simple extensions like Quicknote and Clippings.  I 
> am sure these are REALLY interfering with the operation of Firefox. ;)

You haven't been following along.

<https://blog.mozilla.org/addons/2015/08/21/the-future-of-developing-firefox-add-ons/>


> 
> I am slowly replacing Quicknote with Corel's Lightning, but it is not as 
> convenient Quicknote.
> 
> Clippings is used with nearly every email I send, as there are strings 
> for my email address, telephone number, ie many things you use in your 
> correspondence.
> 
> Does any one know of extensions that would replace Quicknote and 
> Especially Clippings?

You look like a prime candidate for Firefox Notes, a new Test Pilot 
experiment that may or may not make it into a future version.

<https://testpilot.firefox.com/experiments/notes>

-- 
Go Bucs!
Coexist <https://www.coexist.org/>
National Popular Vote <http://www.nationalpopularvote.com/>
Ubuntu 16.04 LTS - Unity Desktop
0
WaltS48
8/8/2017 5:37:30 PM
On 8/8/2017 8:38 AM, Luis wrote:
> Released FF version 55.
> This last version disables legacy extensions.
> Uncheck "Automatically install updates" if you don't wish to find all
> your extensions disabled.

Also, its release notes said not to downgrade from v55.
-- 
"The little ant at its hole is full of courage." --African
Note: A fixed width font (Courier, Monospace, etc.) is required to see 
this signature correctly.
    /\___/\         Ant(Dude) @ http://antfarm.ma.cx (Personal Web Site)
   / /\ /\ \                Ant's Quality Foraged Links: http://aqfl.net
  | |o   o| |
     \ _ /        If crediting, then use Ant nickname and AQFL URL/link.
      ( )               Axe ANT from its address if e-mailing privately.
0
Ant
8/8/2017 5:56:22 PM
"Luis"  wrote in message 
news:mailman.1714.1502206768.14894.support-firefox@lists.mozilla.org...

Released FF version 55.
This last version disables legacy extensions.
Uncheck "Automatically install updates" if you don't wish to find all
your extensions disabled.
.....................................................

Sadly, confirming 18 out my 20 are now disabled.

(Arghhhh)
Neil ¦¬D
-- 

0
Neil
8/8/2017 6:53:48 PM
In article <mailman.1718.1502209284.14894.support-
firefox@lists.mozilla.org>, thalionusa@REMOVEaol.com says...
> I have several Legacy extensions still working in Nightly 57.0
> 

Be patient; 57 is still young!

Starting this week, the Firefox developers will be gutting code used 
only for supporting legacy extensions, so we can expect a lot of legacy 
extensions to start breaking in Nightly 57 very soon.

Remember: what we see in Nightly 57 today is not the full feature set; 
additional major changes will be made in the next few weeks.
0
Mark12547
8/8/2017 7:18:43 PM
On 8/8/2017 1:37 PM, WaltS48 wrote:
> On 8/8/17 1:23 PM, Keith Nuttle wrote:
>> On 8/8/2017 12:14 PM, Endegee wrote:
>>> On 08-Aug-2017 11:38, Luis wrote:
>>>> Released FF version 55.
>>>> This last version disables legacy extensions.
>>>> Uncheck "Automatically install updates" if you don't wish to find 
>>>> all your extensions disabled.
>>>
>>> What are you talking about? I have 7 extensions marked Legacy and all 
>>> working fine.
>> Everyone of the extensions that I use is marked Legacy in Version 55. 
>> When will these be prevented from running in Firefox?
> 
> Firefox 57.
> 
>>
>> These extension are simple extensions like Quicknote and Clippings.  I 
>> am sure these are REALLY interfering with the operation of Firefox. ;)
> 
> You haven't been following along.
> 
> <https://blog.mozilla.org/addons/2015/08/21/the-future-of-developing-firefox-add-ons/> 
> 
> 
> 
>>
>> I am slowly replacing Quicknote with Corel's Lightning, but it is not 
>> as convenient Quicknote.
>>
>> Clippings is used with nearly every email I send, as there are strings 
>> for my email address, telephone number, ie many things you use in your 
>> correspondence.
>>
>> Does any one know of extensions that would replace Quicknote and 
>> Especially Clippings?
> 
> You look like a prime candidate for Firefox Notes, a new Test Pilot 
> experiment that may or may not make it into a future version.
> 
> <https://testpilot.firefox.com/experiments/notes>
> 
I will try to use the Firefox Notes.  Initial observation after having 
used if for a few minutes is that it is quite limited, in that there is 
only one note pad.  With Quicknotes there are six.   I do like the 
abibility to out line the contents.  Also the fact that it appears in 
the sidebar and not in a free floating window is also less than pleasing.

Another significant limitation is it only can be installed in Firefox. 
Quicknotes could be installed in both Firefox and Thunderbird, giving 
access to the same content.  ie using the same note database.
0
Keith
8/8/2017 7:31:50 PM
On 8/8/2017 11:38 AM, Luis wrote:
> Released FF version 55.
> This last version disables legacy extensions.
> Uncheck "Automatically install updates" if you don't wish to find all your 
> extensions disabled.

I have been using 55.0 (32-bit) for quite a while now and all of my 
extensions, few that there are, work just fine and none were disabled when 
the FF clicked over from 54 to 55.
0
John
8/8/2017 7:49:41 PM
In article <mailman.1738.1502220742.14894.support-
firefox@lists.mozilla.org>, keith_nuttle@sbcglobal.net says...
> Firefox Notes
> 

Be aware that the experiments (including Firefox Notes) are subject to 
change and, if usage isn't high enough to justify maintaining it, it 
will be discontinued.

On the other hand, some experiments have turned into Firefox features.

0
Mark12547
8/8/2017 7:53:57 PM
In article
<mailman.1737.1502219952.14894.support-firefox@lists.mozilla.org>,
   Mark12547 <mark12547@xyzzy.invalid> wrote:
> In article <mailman.1718.1502209284.14894.support-
> firefox@lists.mozilla.org>, thalionusa@REMOVEaol.com says...
> > I have several Legacy extensions still working in Nightly 57.0
> > 

> Be patient; 57 is still young!

> Starting this week, the Firefox developers will be gutting code used 
> only for supporting legacy extensions, so we can expect a lot of legacy 
> extensions to start breaking in Nightly 57 very soon.

> Remember: what we see in Nightly 57 today is not the full feature set; 
> additional major changes will be made in the next few weeks.

It's a pity some kind lunatic doesn't apply the same methodology to the
developers.

I've concluded after the latest 55 debacle not many of us would weep!

This lead up to 57 is as bad as deliberately infecting some with a nasty
disease you know you have. :-((

Dave

-- 

Dave Triffid
0
Dave
8/8/2017 9:23:31 PM
On 8/8/17 3:18 PM, Mark12547 wrote:
> In article <mailman.1718.1502209284.14894.support-
> firefox@lists.mozilla.org>, thalionusa@REMOVEaol.com says...
>> I have several Legacy extensions still working in Nightly 57.0
>>
> 
> Be patient; 57 is still young!
> 
> Starting this week, the Firefox developers will be gutting code used
> only for supporting legacy extensions, so we can expect a lot of legacy
> extensions to start breaking in Nightly 57 very soon.


If you call it breaking, Nightly Tester Tools broke to some extent with 
today's Nightly. My customized title bar information is no longer in the 
title bar.

I did not try to see if I could customize it.

I'm glad there will be a pref in Nightly to enable Legacy extensions, at 
least until all four of mine are Web Extensions.

> 
> Remember: what we see in Nightly 57 today is not the full feature set;
> additional major changes will be made in the next few weeks.
> 

I know! I love using it.

-- 
Go Bucs!
Coexist <https://www.coexist.org/>
National Popular Vote <http://www.nationalpopularvote.com/>
Ubuntu 16.04 LTS - Unity Desktop
0
WaltS48
8/9/2017 2:10:57 AM
On 8/8/17 2:53 PM, Neil Turkenkopf wrote:
> "Luis"  wrote in message 
> news:mailman.1714.1502206768.14894.support-firefox@lists.mozilla.org...
> 
> Released FF version 55.
> This last version disables legacy extensions.
> Uncheck "Automatically install updates" if you don't wish to find all
> your extensions disabled.
> ....................................................
> 
> Sadly, confirming 18 out my 20 are now disabled.
> 
> (Arghhhh)
> Neil ¦¬D


Disabled as Multiprocess incompatible? Because all of my legacy 
extension that are Multiprocess compatible are working.

There is a difference.


-- 
Go Bucs!
Coexist <https://www.coexist.org/>
National Popular Vote <http://www.nationalpopularvote.com/>
Ubuntu 16.04 LTS - Unity Desktop
0
WaltS48
8/9/2017 2:13:33 AM
On 08/08/2017 4:38 pm, Luis wrote:

> Released FF version 55.
> This last version disables legacy extensions.
> Uncheck "Automatically install updates" if you don't wish to find all
> your extensions disabled.
> 

Installed this but the English (GB) Language pack remains at v54 and is 
therefore disabled.  Where is language pack 55.0, I wonder?

Wilf
0
Wilf
8/9/2017 7:44:56 AM
Reply: